# Uses of Class
java.util.StringJoiner

Packages that use StringJoiner
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of StringJoiner in java.util

Methods in java.util that return StringJoiner
Modifier and Type
Method
Description
`StringJoiner`
StringJoiner.`add​(CharSequence newElement)`
Adds a copy of the given `CharSequence` value as the next element of the `StringJoiner` value.
`StringJoiner`
StringJoiner.`merge​(StringJoiner other)`
Adds the contents of the given `StringJoiner` without prefix and suffix as the next element if it is non-empty.
`StringJoiner`
StringJoiner.`setEmptyValue​(CharSequence emptyValue)`
Sets the sequence of characters to be used when determining the string representation of this `StringJoiner` and no elements have been added yet, that is, when it is empty.
Methods in java.util with parameters of type StringJoiner
Modifier and Type
Method
Description
`StringJoiner`
StringJoiner.`merge​(StringJoiner other)`
Adds the contents of the given `StringJoiner` without prefix and suffix as the next element if it is non-empty.